./security/libpe, The PE library used by pev - the PE file toolkit

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 0.81nb1, Package name: libpe-0.81nb1, Maintainer: khorben

libpe is the PE library used by pev - the PE file toolkit purely written in C
and available to many platforms. The features include:

* Support for both 32 and 64-bits PE files.
* ssdeep support (built-in libfuzzy).
* Disassemble support (built-in libudis86).
* Imphash support.
* Crypographic digests calculation (using OpeenSSL).


Master sites:


Version history: (Expand)


CVS history: (Expand)


   2022-07-10 04:40:52 by Pierre Pronchery | Files touched by this commit (3)
Log message:
libpe: add some link-time flags

This sets the rpath when linking libpe, and an absolute install_name
when linking libpe on macOS.

This notably fixes the build on macOS with PKG_DEVELOPER=yes.

Tested on NetBSD/amd64, macOS/amd64.

Bumps PKGREVISION.
   2021-10-26 13:18:07 by Nia Alarie | Files touched by this commit (605)
Log message:
security: Replace RMD160 checksums with BLAKE2s checksums

All checksums have been double-checked against existing RMD160 and
SHA512 hashes

Unfetchable distfiles (fetched conditionally?):
./security/cyrus-sasl/distinfo \ 
cyrus-sasl-dedad73e5e7a75d01a5f3d5a6702ab8ccd2ff40d.patch.v2
   2021-10-07 16:54:50 by Nia Alarie | Files touched by this commit (606)
Log message:
security: Remove SHA1 hashes for distfiles
   2021-05-30 01:23:42 by Pierre Pronchery | Files touched by this commit (5)
Log message:
libpe: package version 0.81

libpe is the PE library used by pev - the PE file toolkit purely written in C
and available to many platforms. The features include:

 * Support for both 32 and 64-bits PE files.
 * ssdeep support (built-in libfuzzy).
 * Disassemble support (built-in libudis86).
 * Imphash support.
 * Crypographic digests calculation (using OpeenSSL).